// Copyright 2018 RED Software, LLC. All Rights Reserved.
#pragma once

#include "Renderer.h"
#include "AppWindow.h"

const unsigned int DEFAULT_WIDTH = 1024;
const unsigned int DEFAULT_HEIGHT = 768;
const unsigned int DEFAULT_BPP = 32;

class RenderSystem
{
	static RenderSystem* mpSingleton;
public:

	static RenderSystem* GetSingleton();

	RenderSystem(AppWindow* pWindow);
	~RenderSystem();
};

